/// <reference types="node" />
import { Ed25519CryptoClient } from '../Ed25519CryptoClient';
export declare class AeternityCryptoClient extends Ed25519CryptoClient {
    constructor();
    signMessage(message: string, keypair: {
        privateKey: Buffer;
    }): Promise<string>;
    verifyMessage(message: string, signature: string, publicKey: string): Promise<boolean>;
}
