/// <reference types="node" />
import { Secp256k1CryptoClient } from '../Secp256k1CryptoClient';
export declare class CosmosCryptoClient extends Secp256k1CryptoClient {
    constructor();
    signMessage(message: string, keypair: {
        privateKey: Buffer;
    }): Promise<string>;
    verifyMessage(message: string, signature: string, publicKey: string): Promise<boolean>;
}
