/// <reference types="node" />
import { CryptoClient } from './CryptoClient';
export declare abstract class Ed25519CryptoClient extends CryptoClient {
    encryptAsymmetric(payload: string, publicKey: string): Promise<string>;
    decryptAsymmetric(encryptedPayload: string, keypair: {
        publicKey: string;
        privateKey: Buffer;
    }): Promise<string>;
}
