import { ProtocolSymbols } from '../../utils/ProtocolSymbols';
import { BitcoinProtocol } from '../bitcoin/BitcoinProtocol';
import { BitcoinCryptoClient } from '../bitcoin/BitcoinCryptoClient';
import { CurrencyUnit, FeeDefaults } from '../ICoinProtocol';
import { GroestlcoinProtocolOptions } from './GroestlcoinProtocolOptions';
export declare class GroestlcoinProtocol extends BitcoinProtocol {
    readonly options: GroestlcoinProtocolOptions;
    symbol: string;
    name: string;
    marketSymbol: string;
    feeSymbol: string;
    feeDefaults: FeeDefaults;
    decimals: number;
    feeDecimals: number;
    identifier: ProtocolSymbols;
    units: CurrencyUnit[];
    supportsHD: boolean;
    standardDerivationPath: string;
    addressValidationPattern: string;
    addressPlaceholder: string;
    readonly cryptoClient: BitcoinCryptoClient;
    constructor(options?: GroestlcoinProtocolOptions);
}
