/// <reference types="node" />
import { Sr25519CryptoClient } from '../Sr25519CryptoClient';
export declare class SubstrateCryptoClient extends Sr25519CryptoClient {
    constructor();
    signMessage(message: string, keypair: {
        publicKey: string;
        privateKey: Buffer;
    }): Promise<string>;
    verifyMessage(message: string, signature: string, publicKey: string): Promise<boolean>;
}
