/// <reference types="node" />
import { Ed25519CryptoClient } from '../Ed25519CryptoClient';
export declare class TezosCryptoClient extends Ed25519CryptoClient {
    readonly edsigPrefix: Uint8Array;
    constructor(edsigPrefix?: Uint8Array);
    signMessage(message: string, keypair: {
        privateKey: Buffer;
    }): Promise<string>;
    verifyMessage(message: string, signature: string, publicKey: string): Promise<boolean>;
    toBuffer(message: string): Promise<Buffer>;
}
